layout_page:
  namespace: "Templates/TM - Layout"
  use: "@templates/tm-layout/page/page.twig"
  label: Page
  description: Layout - Page
  libraries:
    - page_lib:
        js:
          ../behaviors/page.js: { }

  fields:

    page_header:
      type: pattern
      label: header
      preview:
        id: region_header

    page_announcements:
      type: pattern
      label: announcements
      preview:
        id: region_announcements

    page_announcements_lower:
      type: pattern
      label: announcements lower
      preview:
        id: region_announcements

    page_banner:
      type: pattern
      label: banner
      preview:
        id: region_banner

    page_breadcrumb:
      type: pattern
      label: breadcrumb
      preview:
        id: region_breadcrumb

    page_help:
      type: pattern
      label: help
      preview:
        id: region_help

    page_highlighted:
      type: pattern
      label: highlighted
      preview:
        id: region_highlighted

    page_content:
      type: pattern
      label: content
      preview:
        id: region_content

    page_below_content:
      type: pattern
      label: below_content
      preview:
        id: region_below_content

    page_sidebar_left:
      type: pattern
      label: page_sidebar_left
      preview:
        id: region_sidebar_left

    page_sidebar_right:
      type: pattern
      label: sidebar_right
      preview:
        id: region_sidebar_right


    page_footer_top:
      type: pattern
      label: footer top
      preview:
        id: region_footer_top

    page_footer_bottom:
      type: pattern
      label: footer bottom
      preview:
        id: region_footer_bottom

    page_footer_final:
      type: pattern
      label: footer final
      preview:
        id: region_footer_final

    page_modal:
      type: pattern
      label: offcanvas
      preview:
        id: region_modal

    page_offcanvas:
      type: pattern
      label: offcanvas
      preview:
        id: region_offcanvas

  settings:
    front:
      type: boolean
      label: Is front
      preview: false
      default_value: false
    full_width:
      type: boolean
      label: Full width
      preview: false
      default_value: false
    no_sidebars:
      type: boolean
      label: No sidebars
      preview: false
      default_value: false
    force_sidebar_right:
      type: boolean
      label: Force sidebar right
      preview: false
      default_value: false
    page_no_pad:
      type: boolean
      label: No padding on container
      preview: false
      default_value: false
    floating_title:
      type: boolean
      label: Floating title
      preview: false
      default_value: false
    mobile_sidebars_first:
      type: boolean
      label: Mobile sidebars first
      preview: false
      default_value: false
    main_classes:
      type: textfield
      label: Main classes string
    container_classes:
      type: textfield
      label: Main container classes string
